
Redmine - Defect #9474

Wiki comment can't be added or edited if you don't touch the page

2011-10-26 09:20 - Babbo Maria

Status: Closed Start date: 2011-10-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.2.1

Description

The problem is:

1) Create/Edit the wiki page and don't insert any comment in it

2) Go to edit, or annotate edit to reedit the wiki and change only the comment.

3) The comment will never be inserted until you change also the page.

The main problem in this flow is that you can't change an old wrong comment.

This should be done in annotate view where you can see old revision.

Another problem is that you can't add a comment to an old version lately.

database version: 5.1.41-3ubuntu12.10

i18n (0.4.2)

rack (1.1.1, 1.1.0, 1.0.1)

rails (2.3.11, 2.3.8)

rake (0.8.7)

rubygems-update (1.8.10, 1.6.2)

mnysql 2.8.1

Redmine 1.2.1.stable.7481 (MySQL)

SCM

Mercurial Distributed SCM (version 1.9.1)

SVN, version 1.6.6 (r40053)

Related issues:

Is duplicate of Redmine - Defect #9266: comments field in wiki_content table ... Closed 2011-09-17

History

#1 - 2011-10-26 11:19 - Etienne Massip

Looks like a duplicate of #9266, could you please confirm?

#2 - 2011-10-26 14:31 - Babbo Maria

Etienne Massip wrote:

Looks like a duplicate of #9266, could you please confirm?

 Yes i confirm but i havn't find that issue when i have used Search.

Sorry!

#3 - 2011-10-26 15:25 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Thanks.
